net.sf.jasperreports.data

## Class AbstractDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor
  Direct Known Subclasses:
    AbstractClasspathAwareDataAdapterService, AbstractXlsDataAdapterService, CsvDataAdapterService, EjbqlDataAdapterService, EmptyDataAdapterService, HibernateDataAdapterService, JndiDataAdapterService, JsonDataAdapterService, QueryExecuterDataAdapterService, SpringHibernateDataAdapterService, XmlaDataAdapterService, XmlDataAdapterService

      public abstract class AbstractDataAdapterService
      extends java.lang.Object
      implements DataAdapterService

  Version:
    $Id: AbstractDataAdapterService.java 6233 2013-06-06 11:43:11Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDataAdapterService()` Deprecated. Replaced by `AbstractDataAdapterService(JasperReportsContext, DataAdapter)`.
    `AbstractDataAdapterService(DataAdapter dataAdapter)` Deprecated. Replaced by `AbstractDataAdapterService(JasperReportsContext, DataAdapter)`.
    `AbstractDataAdapterService(JasperReportsContext jasperReportsContext, DataAdapter dataAdapter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `void` | `dispose()`
    `DataAdapter` | `getDataAdapter()`
    `JasperReportsContext` | `getJasperReportsContext()`
    `java.lang.String` | `getName()`
    `void` | `setDataAdapter(DataAdapter dataAdapter)` FIXME consider removing
    `void` | `setName(java.lang.String name)`
    `void` | `test()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECRETS_CATEGORY

          public static final java.lang.String SECRETS_CATEGORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractDataAdapterService

          public AbstractDataAdapterService()

      Deprecated. Replaced by `AbstractDataAdapterService(JasperReportsContext, DataAdapter)`.

    - #### AbstractDataAdapterService

          public AbstractDataAdapterService(DataAdapter dataAdapter)

      Deprecated. Replaced by `AbstractDataAdapterService(JasperReportsContext, DataAdapter)`.

    - #### AbstractDataAdapterService

          public AbstractDataAdapterService(JasperReportsContext jasperReportsContext,
                                    DataAdapter dataAdapter)

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getDataAdapter

          public DataAdapter getDataAdapter()

    - #### setDataAdapter

          public void setDataAdapter(DataAdapter dataAdapter)

      FIXME consider removing

    - #### contributeParameters

          public abstract void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                             throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Throws:
        `JRException`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ParameterContributor`

    - #### test

          public void test()
                    throws JRException

      Specified by:
        `test` in interface `DataAdapterService`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com